Properties
Units and listings (real estate).
GET/properties
List properties
Needs the permission properties:read.
| Parameter | In | Type | Notes |
|---|---|---|---|
limit | query | integer | at least 1. up to 500. default 50 |
cursor | query | string | up to 512 characters |
q | query | string | up to 100 characters |
projectId | query | string (uuid) | |
unitTypeId | query | string (uuid) | |
status | query | string | |
propertyType | query | one of apartment, villa, townhouse, penthouse, office, retail, plot, other | |
listingType | query | one of sale, rent, lease | |
bedroomsMin | query | integer | at least 0. up to 50 |
bedrooms | query | integer | at least 0. up to 50 |
facing | query | string | up to 40 characters |
tower | query | string | up to 40 characters |
priceMin | query | number | at least 0 |
priceMax | query | number | at least 0 |
areaMin | query | number | at least 0 |
city | query | string | up to 100 characters |
locality | query | string | up to 100 characters |
ownerId | query | string (uuid) | |
tag | query | string | up to 40 characters |
sort | query | one of created, updated, price, area | default "created" |
order | query | one of asc, desc | default "desc" |
curl -X GET https://crm.anibrosdesign.com/api/v1/properties \
-H "Authorization: Bearer crm_live_xxxxxxxx"Responses:
200 400 401 403 429
POST/properties
Create a propertie
Needs the permission properties:create.
| Parameter | In | Type | Notes |
|---|---|---|---|
Idempotency-Key | header | string | Any unique string up to 128 characters. Repeating the request with the same key returns the first response. up to 128 characters |
| Body field | Type | Notes |
|---|---|---|
projectId | string (uuid) or null | |
unitTypeId | string (uuid) or null | |
title required | string | at least 1 characters. up to 200 characters |
description | string or null | |
propertyType | one of apartment, villa, townhouse, penthouse, office, retail, plot, other | |
listingType | one of sale, rent, lease | |
price required | number | at least 0. up to 10000000000000 |
currency | string | at least 3 characters. up to 3 characters |
negotiable | boolean | |
bedrooms | integer or null | |
bathrooms | integer or null | |
areaSqft | number or null | |
carpetAreaSqft | number or null | |
unitNumber | string or null | |
tower | string or null | |
floor | integer or null | |
facing | string or null | |
furnishing | one of unfurnished, semi_furnished, furnished or null | |
address | string or null | |
city | string or null | |
locality | string or null | |
possessionDate | string (date) or null | |
reraId | string or null | |
amenities | list of string | up to 60 items |
tags | list of string | up to 30 items |
ownerId | string (uuid) or null |
curl -X POST https://crm.anibrosdesign.com/api/v1/properties \
-H "Authorization: Bearer crm_live_xxxxxxxx" \
-H "Content-Type: application/json" \
-d '{"projectId":"01a15d23-0000-7000-8000-000000000000","unitTypeId":"01a15d23-0000-7000-8000-000000000000","title":"text","price":0}'Responses:
201 400 401 402 403 429
POST/properties/bulk
Bulk (properties)
Needs the permission properties:update.
| Parameter | In | Type | Notes |
|---|---|---|---|
Idempotency-Key | header | string | Any unique string up to 128 characters. Repeating the request with the same key returns the first response. up to 128 characters |
| Body field | Type | Notes |
|---|---|---|
ids required | list of string (uuid) | at least 1 items. up to 300 items |
set required | object | |
set.facing | string or null | |
set.tower | string or null | |
set.floor | integer or null | |
set.price | number or null |
curl -X POST https://crm.anibrosdesign.com/api/v1/properties/bulk \
-H "Authorization: Bearer crm_live_xxxxxxxx" \
-H "Content-Type: application/json" \
-d '{"ids":["01a15d23-0000-7000-8000-000000000000"],"set":{"facing":"text","tower":"text","floor":-5}}'Responses:
200 400 401 402 403 429
GET/properties/groups
Get groups (properties)
Needs the permission properties:read.
| Parameter | In | Type | Notes |
|---|---|---|---|
q | query | string | up to 100 characters |
projectId | query | string (uuid) | |
status | query | string | |
propertyType | query | one of apartment, villa, townhouse, penthouse, office, retail, plot, other | |
listingType | query | one of sale, rent, lease | |
bedroomsMin | query | integer | at least 0. up to 50 |
facing | query | string | up to 40 characters |
sort | query | one of project, price, available | default "project" |
curl -X GET https://crm.anibrosdesign.com/api/v1/properties/groups \
-H "Authorization: Bearer crm_live_xxxxxxxx"Responses:
200 400 401 403 429
GET/properties/summary
Get summary (properties)
Needs the permission properties:read.
curl -X GET https://crm.anibrosdesign.com/api/v1/properties/summary \
-H "Authorization: Bearer crm_live_xxxxxxxx"Responses:
200 401 403 429
GET/properties/{id}
Get a propertie
Needs the permission properties:read.
| Parameter | In | Type | Notes |
|---|---|---|---|
id required | path | string (uuid) |
curl -X GET https://crm.anibrosdesign.com/api/v1/properties/{id} \
-H "Authorization: Bearer crm_live_xxxxxxxx"Responses:
200 400 401 403 404 429
PATCH/properties/{id}
Change a propertie
Needs the permission properties:update.
| Parameter | In | Type | Notes |
|---|---|---|---|
id required | path | string (uuid) |
| Body field | Type | Notes |
|---|---|---|
projectId | string (uuid) or null | |
unitTypeId | string (uuid) or null | |
title | string | at least 1 characters. up to 200 characters |
description | string or null | |
propertyType | one of apartment, villa, townhouse, penthouse, office, retail, plot, other | |
listingType | one of sale, rent, lease | |
price | number | at least 0. up to 10000000000000 |
currency | string | at least 3 characters. up to 3 characters |
negotiable | boolean | |
bedrooms | integer or null | |
bathrooms | integer or null | |
areaSqft | number or null | |
carpetAreaSqft | number or null | |
unitNumber | string or null | |
tower | string or null | |
floor | integer or null | |
facing | string or null | |
furnishing | one of unfurnished, semi_furnished, furnished or null | |
address | string or null | |
city | string or null | |
locality | string or null | |
possessionDate | string (date) or null | |
reraId | string or null | |
amenities | list of string | up to 60 items |
tags | list of string | up to 30 items |
ownerId | string (uuid) or null |
curl -X PATCH https://crm.anibrosdesign.com/api/v1/properties/{id} \
-H "Authorization: Bearer crm_live_xxxxxxxx" \
-H "Content-Type: application/json" \
-d '{"projectId":"01a15d23-0000-7000-8000-000000000000","unitTypeId":"01a15d23-0000-7000-8000-000000000000","title":"text"}'Responses:
200 400 401 402 403 404 412 429
DELETE/properties/{id}
Delete a propertie
Needs the permission properties:delete.
| Parameter | In | Type | Notes |
|---|---|---|---|
id required | path | string (uuid) |
curl -X DELETE https://crm.anibrosdesign.com/api/v1/properties/{id} \
-H "Authorization: Bearer crm_live_xxxxxxxx"Responses:
204 400 401 402 403 404 429
PUT/properties/{id}/cover
Set cover (properties)
Needs the permission properties:update.
| Parameter | In | Type | Notes |
|---|---|---|---|
id required | path | string (uuid) |
| Body field | Type | Notes |
|---|---|---|
fileId required | string (uuid) or null |
curl -X PUT https://crm.anibrosdesign.com/api/v1/properties/{id}/cover \
-H "Authorization: Bearer crm_live_xxxxxxxx" \
-H "Content-Type: application/json" \
-d '{"fileId":"01a15d23-0000-7000-8000-000000000000"}'Responses:
200 400 401 402 403 404 412 429
GET/properties/{id}/files
Get files (properties)
Needs the permission properties:read.
| Parameter | In | Type | Notes |
|---|---|---|---|
id required | path | string (uuid) |
curl -X GET https://crm.anibrosdesign.com/api/v1/properties/{id}/files \
-H "Authorization: Bearer crm_live_xxxxxxxx"Responses:
200 400 401 403 404 429
POST/properties/{id}/files
Files (properties)
Needs the permission properties:update.
| Parameter | In | Type | Notes |
|---|---|---|---|
id required | path | string (uuid) | |
name | query | string | up to 200 characters |
curl -X POST https://crm.anibrosdesign.com/api/v1/properties/{id}/files \
-H "Authorization: Bearer crm_live_xxxxxxxx"Responses:
201 400 401 402 403 404 429
POST/properties/{id}/restore
Restore (properties)
Needs the permission properties:delete.
| Parameter | In | Type | Notes |
|---|---|---|---|
id required | path | string (uuid) |
curl -X POST https://crm.anibrosdesign.com/api/v1/properties/{id}/restore \
-H "Authorization: Bearer crm_live_xxxxxxxx"Responses:
200 400 401 402 403 404 429
POST/properties/{id}/status
Status (properties)
Needs the permission properties:update.
| Parameter | In | Type | Notes |
|---|---|---|---|
id required | path | string (uuid) |
| Body field | Type | Notes |
|---|---|---|
status required | one of available, under_offer, reserved, sold, rented, inactive | |
reason | string or null |
curl -X POST https://crm.anibrosdesign.com/api/v1/properties/{id}/status \
-H "Authorization: Bearer crm_live_xxxxxxxx" \
-H "Content-Type: application/json" \
-d '{"status":"available","reason":"text"}'Responses:
200 400 401 402 403 404 429
Something missing or unclear? Tell us.